Skip to main content
Infrastructure/Agents

UpgradeSingle

Upgrade a single agent to the specified target version

POST/api/v1/agents/{uuid}/upgrade

Operation ID

UpgradeSingle

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    UUID of the agent to upgrade

Body Fields

  • targetVersion
    StringRequired

    Target version to upgrade the agent to

    Example: 1.5.0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • agentUuid
    String

    UUID of the agent on the upgraded node

    Example: agent-abc123-def456

  • oldVersion
    String

    Version the agent was running before upgrade

    Example: 1.4.2

  • newVersion
    String

    Version the agent was upgraded to

    Example: 1.5.0

  • status
    String

    Result status of the upgrade (success, failed)

    Example: success

  • error
    String

    Error message if the upgrade failed

    Example: connection refused